Subject: Re: bug#53527: 29.0.50; package-reinstall fails to initialize (enough of) package.el

From: Matt Armstrong <[email-masked]>
Date: Wed, 05 Oct 2022 21:31:28 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Matt Armstrong <[email-masked]> writes:
>
>> * lisp/emacs-lisp/package.el (package-reinstall): call
>> `package--archives-initialize', just like `package-install' does.
>> This populates `package-alist', and so fixes calling
>> `package-reinstall' as the first thing done after package "quick
>> init".  (Bug#53527)
>
> It seems like this patch was missed; sorry.
>
> The change looks reasonable to me, but just double-checking before
> applying it -- is it still needed on the current trunk?  I vaguely seem
> to remember there being some other work done in this area recently, but
> I may well be mistaken.

Hey Lars, I just verified that the bug is still there on current master,
and that my patch fixes it.  Looking at the git log there are a few
commits to package.el related to fixes, but none directly related to
this issue.

Thanks!